## systemd-bootchart 235

=== src/Makefile ===
#  This file is part of systemd.
#
#  Copyright 2010 Lennart Poettering
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
#  systemd is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with systemd; If not, see <http://www.gnu.org/licenses/>.

# This file is a dirty trick to simplify compilation from within
# emacs. This file is not intended to be distributed. So, don't touch
# it, even better ignore it!

all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean

.PHONY: all clean

## systemd-bootchart 230

=== debian/changelog ===
systemd-bootchart (230-2) unstable; urgency=medium

  * Fix paths in man pages
  * Install upstream README which documents required kernel interfaces

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jul 2016 14:52:06 +0200

systemd-bootchart (230-1) unstable; urgency=medium

  * Initial release. This got split off from the main systemd sources in
    version 230.

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Jun 2016 15:13:08 +0200

=== debian/control ===
Source: systemd-bootchart
Section: admin
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd-bootchart.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/systemd-bootchart.git
Homepage: https://github.com/systemd/systemd-bootchart/
Build-Depends: debhelper (>= 9.20141010),
               dh-autoreconf,
               intltool,
               pkg-config,
               libsystemd-dev (>= 221),
               xsltproc,
               docbook-xsl,
               docbook-xml,

Package: systemd-bootchart
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: systemd (<< 230-1~)
Replaces: systemd (<< 230-1~)
Description: boot performance graphing tool
 systemd-bootchart is a tool, usually run at system startup, that collects the
 CPU load, disk load, memory usage, as well as per-process information from a
 running system. Collected results are output as an SVG graph. Normally,
 systemd-bootchart is invoked by the kernel by passing
 init=/lib/systemd/systemd-bootchart on the kernel command line.
 systemd-bootchart will then fork the real init off to resume normal system
 startup, while monitoring and logging startup information in the background.
 .
 After collecting a certain amount of data (usually 15–30 seconds, default 20s)
 the logging stops and a graph is generated from the logged information.  This
 graph contains vital clues as to which resources are being used, in which
 order, and where possible problems exist in the startup sequence of the
 system. It is essentially a more detailed version of the systemd-analyze plot
 function.
 .
 bootchart can also be used at any moment in time to collect and graph some
 data for an amount of time.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d+)\S*\.tar\.xz/systemd-bootchart-$1\.tar\.xz/,pgpmode=none \
  https://github.com/systemd/systemd-bootchart/releases .*/v?(\d+)\S*\.tar\.xz

## systemd-bootchart 231

=== debian/changelog ===
systemd-bootchart (231-1) unstable; urgency=medium

  * New upstream release.
  * Use the git archive (gzipped) instead of the release tarball. The latter
    is compressed using xz and causes failures with pristine-tar.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 22:36:25 +0200

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-rootprefix=/ --with-rootlibdir=/lib

override_dh_auto_install:
	dh_auto_install
	# fix paths in manpages
	find debian/systemd-bootchart/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib[^/]|/lib/[^a-z])_\1_g'

## systemd-bootchart 232

=== debian/changelog ===
systemd-bootchart (232-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 232
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Update Vcs-* following the latest recommendation
  * Revert "bootchart: fix per-cpu & small scales."

  [ Felipe Sateler ]
  * Do not enable systemd-bootchart.service by default

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Jun 2017 23:44:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd-bootchart.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/systemd-bootchart.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-systemd/systemd-bootchart.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-systemd/systemd-bootchart.git
 Homepage: https://github.com/systemd/systemd-bootchart/
-Build-Depends: debhelper (>= 9.20141010),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                intltool,
                pkg-config,
                libsystemd-dev (>= 221),

## systemd-bootchart 233

=== debian/changelog ===
systemd-bootchart (233-1) unstable; urgency=medium

  * New upstream version 233
  * Drop debian/patches/Revert-bootchart-fix-per-cpu-small-scales.patch
  * Bump Standards-Version to 4.1.0

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Sep 2017 19:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-systemd/systemd-bootchart.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-systemd/systemd-bootchart.git
 Homepage: https://github.com/systemd/systemd-bootchart/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #! /usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-rootprefix=/ --with-rootlibdir=/lib
+
+override_dh_systemd_enable:
+	dh_systemd_enable --no-enable
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: bootchart
Restrictions: needs-root, isolation-machine

## systemd-bootchart 234

=== debian/changelog ===
systemd-bootchart (234-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no further changes required)
  * Add riscv64 support (Closes: #1010255)
  * Update debian/watch to version 4

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Jul 2022 14:50:08 +0200

systemd-bootchart (234-1) unstable; urgency=medium

  * New upstream version 234
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2020 20:55:05 +0100

systemd-bootchart (233-3) unstable; urgency=medium

  * Switch to debhelper-compat and bump compat level to 13
  * Switch to dh_installsystemd
  * Bump Standards-Version to 4.5.1
  * Drop obsolete Breaks/Replaces
  * Increase max PID and CPU constants.
    The numbers were insufficient for modern servers.
    Also avoid crash in svg_ps_bars which might be happening due to the
    previous low max pids number. (Closes: #976922)

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Dec 2020 16:00:36 +0100

systemd-bootchart (233-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Update Vcs-* to point to https://salsa.debian.org
  * Set Rules-Requires-Root to no

  [ Nicolas Braud-Santoni ]
  * debian/copyright: Point to CC-1.0 license in /usr/share/common-licenses/
    (Closes: #882630)

  [ Martin Pitt ]
  * debian/copyright: Use https URL for Format:
  * Bump Standards-Version to 4.1.3
  * debian/copyright: Move global wildcard section to the top.
    Fixes lintian warning
    global-files-wildcard-not-first-paragraph-in-dep5-copyright.

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Mar 2018 23:53:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
            Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-systemd/systemd-bootchart.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-systemd/systemd-bootchart.git
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/systemd-team/systemd-bootchart.git
+Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-bootchart
 Homepage: https://github.com/systemd/systemd-bootchart/
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                pkg-config,
                libsystemd-dev (>= 221),
@@ -23,8 +24,6 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: systemd (<< 230-1~)
-Replaces: systemd (<< 230-1~)
 Description: boot performance graphing tool
  systemd-bootchart is a tool, usually run at system startup, that collects the
  CPU load, disk load, memory usage, as well as per-process information from a

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --with-rootprefix=/ --with-rootlibdir=/lib
 
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable
+override_dh_installsystemd:
+	dh_installsystemd --no-enable
 
 override_dh_auto_install:
 	dh_auto_install

## systemd-bootchart 235

=== debian/changelog ===
systemd-bootchart (235-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Assume UsrMerged install layout (DEP17 M2) (Closes: #1060363)

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jan 2024 01:15:40 +0100

systemd-bootchart (235-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-
    Browse.

  [ Luca Boccassi ]
  * New upstream version 235
  * Drop Add-riscv64-support.patch, merged upstream
  * Add myself to Uploaders
  * Bump Standards-Version to 4.6.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Nov 2023 00:20:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
+           Luca Boccassi <bluca@debian.org>,
            Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/systemd-team/systemd-bootchart.git
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-bootchart
@@ -14,7 +15,7 @@
 Build-Depends: debhelper-compat (= 13),
                intltool,
                pkg-config,
-               libsystemd-dev (>= 221),
+               libsystemd-dev,
                xsltproc,
                docbook-xsl,
                docbook-xml,

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-enable

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d+)\S*\.tar\.gz/systemd-bootchart-$1\.tar\.gz/,pgpmode=none \
  https://github.com/systemd/systemd-bootchart/tags .*/v?(\d+)\S*\.tar\.gz
